<?php

namespace ReCaptcha\RequestMethod;

/**
 * Wrapper around the cURL functions - Proxy and Operating System regarded
 */
class CurlKufer extends Curl
{
    public function init($url = null)
    {
      //regards Proxy Settings and SSL_VERIFYPEER
      return \RequestOperations::getStandardCurl($url);
    }
    
    public function setoptArray($ch, array $options)
    {
      unset($options[CURLOPT_SSL_VERIFYPEER]);//on Windows not available - which is taken into account by getStandardCurl
      return parent::setoptArray($ch, $options);
    }
}